Package twisted :: Package manhole :: Package ui :: Module gtk2manhole :: Class ManholeClient

[frames | no frames]

## Class ManholeClient

              Adapter --+
                        |
    Jellyable --+       |
                |       |
     Serializable --+   |
                    |   |
        Referenceable --+
                        |
                       ManholeClient

Method Summary
| `_cbDisconnected(self, perspective)`
| `_cbLogin(self, perspective)`
| `do(self, text)`
| `remote_console(self, messages)`
| `remote_listCapabilities(self)`
| `remote_receiveExplorer(self, xplorer)`
Inherited from Adapter
| ``__init__`(self, original)` Set my 'original' attribute to be the object I am adapting.
| ``getComponent`(self, interface, registry, default)` I forward getComponent to self.original if it has it, otherwise I simply return default.
| ``isuper`(self, iface, adapter)` Forward isuper to self.original
Inherited from Referenceable
| ``jellyFor`(self, jellier)` (internal)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.manhole.service.IManhol...`
`dict` | `capabilities` = `{'Failure': 'Set'}`
Inherited from Adapter
`int` | `multiComponent`: If this adapter is persistent, should it be automatically registered for all appropriate interfaces.
`int` | `temporaryAdapter`: If this is True, the adapter will not be persisted on the Componentized.
Inherited from Referenceable
`NoneType` | `perspective` = None

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.manhole.service.IManholeClient at 0x86c58a4>,)

### capabilities

  Type:
    `dict`
  Value:

        {'Failure': 'Set'}

Generated by Epydoc 2.0 on Sat May 15 20:08:12 2004 | http://epydoc.sf.net